<?php
	function ValorProduto($produto) {
		$query = "SELECT prodcalculatedprice FROM [|PREFIX|]products WHERE productid=".$produto;
		$result = $GLOBALS['ISC_CLASS_DB']->Query($query);
		$a = $GLOBALS['ISC_CLASS_DB']->Fetch($result);
		$GLOBALS['ISC_CLASS_CUSTOMER'] = GetClass('ISC_CUSTOMER');
		$g = $GLOBALS['ISC_CLASS_CUSTOMER']->GetCustomerGroup();
		$valor = $a['prodcalculatedprice']-(($a['prodcalculatedprice']/100)*$g['discount']);
		return $valor;
	}
	function FreteTipo($produto) {
		$query = "SELECT prodfreeshipping FROM [|PREFIX|]products where productid=".$produto;
		$result = $GLOBALS['ISC_CLASS_DB']->Query($query);
		$dados = $GLOBALS['ISC_CLASS_DB']->Fetch($result);
		if($dados['prodfreeshipping']==1){
		$d = '<img src="%%GLOBAL_ShopPath%%/modificacoes/frete_gratis.gif" border="0"><br>';
		return $d;
		}else{
		$s = '<img src="%%GLOBAL_ShopPath%%/modificacoes/frete.png" border="0"><br>';
		return $s;
		}
	}
	function jurosSimples($valor, $taxa, $parcelas) {
		$taxa = $taxa/100;
		$m = $valor * (1 + $taxa * $parcelas);
		$valParcela = $m/$parcelas;
		return $valParcela;
	}
	function jurosComposto($valor, $taxa, $parcelas) {
		$taxa = $taxa/100;
		$valParcela = $valor * pow((1 + $taxa), $parcelas);
		$valParcela = $valParcela/$parcelas;
		return $valParcela;
	}
	function simulador_de_rodape($produto){
		$ler = "SELECT variableval FROM [|PREFIX|]module_vars WHERE modulename = 'addon_parcelas' AND variablename = 'rodape1' order by variablename asc";
		$resultado = $GLOBALS['ISC_CLASS_DB']->Query($ler);
		$s = $GLOBALS['ISC_CLASS_DB']->Fetch($resultado);
		if(empty($s['variableval'])){
			$s['variableval'] = 'pagseguro';
		}
		$msg='';
		switch($s['variableval']) {
			case 'pagseguro':
				if(!empty(GetModuleVariable('checkout_psapi','is_setup'))) {
					$juross = GetModuleVariable('checkout_psapi','acrecimo');
					$semjuros = GetModuleVariable('checkout_psapi','sem');
					$min = GetModuleVariable('checkout_psapi','minimo');
					$div = GetModuleVariable('checkout_psapi','dividir');
				}else{
					$juross = 	'0';
					$div = '12';
					$semjuros = '1';
					$min = '5';
				}
				$valordoproduto = ValorProduto($produto);
				$valor = $valordoproduto;
				if($juross<=0 OR empty($juross)){
					$valor = $valor;
				} else {
					$valor = (($valor/100)*$juross)+$valor;
				}
				$splitss = (int) ($valor/$min);
				if($semjuros >$splitss){
					$semjuros = $splitss;
				}
				if($semjuros >1){
					$div = $semjuros;
				}else{
					if($splitss<=$div){
						$div = $splitss;
					}
				}
				if($valor<=$min){
					$div = 1;
				}
				for($j=1; $j<=$div;$j++) {
					$fator = array('0','0.52255','0.35347','0.26898','0.21830','0.18453','0.16044','0.14240','0.12838','0.11717','0.10802','0.10040');
					$result_array = $fator[$j-1];
					$parcelas = $valor*$result_array;
					$parcelas = number_format($parcelas, 2, '.', '');
					$valors = number_format($valor, 2, '.', '');
					$op = $semjuros;
					if($div==$j){
						if($j==1 OR $op>=$j) {
							$msg ="<span class=LinhaPreco><span class=BlocoMenor><i class='fa fa-credit-card'></i>  ".$j."x de</span> <span class=cartao>".CurrencyConvertFormatPrice($parcelas, 1, 0)." </span>sem juros";
						}else{
							$msg ="<span class=LinhaPreco><span class=BlocoMenor><i class='fa fa-credit-card'></i>  ".$j."x de</span> <span class=cartao>".CurrencyConvertFormatPrice($parcelas, 1, 0)." </span>no cartão";
						}
					}
				}
				break;
			case 'moip':
				if(!empty(GetModuleVariable('checkout_moip','is_setup'))) {
					$semjuros = GetModuleVariable('checkout_moip','semjuros');
					$juross = GetModuleVariable('checkout_moip','acrecimo');
					$div = GetModuleVariable('checkout_moip','dividir');
					$taxa = 0.0199;
					$valordoproduto = ValorProduto($produto);
					$valor = $valordoproduto;
					if($juross<=0 OR empty($juross)){
						$valor = $valor;
					}else {
						$valor = (($valor/100)*$juross)+$valor;
					}
					$splitss = (int) ($valor/5);
					if($semjuros >$splitss){
						$semjuros = $splitss;
					}
					if($semjuros >1){
						$div = $semjuros;
					}else{
						if($splitss<=$div){
							$div = $splitss;
						}
					}
					if($valor<=5){
						$div = 1;
					}
					for($j=1; $j<=$div;$j++) {
						if($div==$j){
							$cf = pow((1 + $taxa), $j);
							$cf = (1 / $cf);
							$cf = (1 - $cf);
							$cf = ($taxa / $cf);
							$parcelas = ($valor*$cf);
							$parcelas = number_format($parcelas, 2, '.', '');
							$valors = number_format($valor, 2, '.', '');
							$op = $semjuros;
							if($j==1 OR $op>=$j) {
								$msg ="<span class=LinhaPreco><span class=BlocoMenor><i class='fa fa-credit-card'></i>  ".$j."x de</span> <span class=cartao>".CurrencyConvertFormatPrice($parcelas, 1, 0)." </span>sem juros";
							}else{
								$msg ="<span class=LinhaPreco><span class=BlocoMenor><i class='fa fa-credit-card'></i>  ".$j."x de</span> <span class=cartao>".CurrencyConvertFormatPrice($parcelas, 1, 0)." </span>no cartão";
							}
						}
					}
				}
				break;
			case 'mercadopago':
				if(!empty(GetModuleVariable('checkout_mplight','is_setup'))) {
					$juross = GetModuleVariable('checkout_mplight','acrescimo');
					$semjuros = GetModuleVariable('checkout_mplight','semjuros');
					$div = GetModuleVariable('checkout_mplight','dividir');
					$taxa = 0.0199;
					$valordoproduto = ValorProduto($produto);
					$valor = $valordoproduto;
					if($juross<=0 OR empty($juross)){
						$valor = $valor;
					} else {
						$valor = (($valor/100)*$juross)+$valor;
					}
					$splitss = (int) ($valor/5);
					if($semjuros >$splitss){
						$semjuros = $splitss;
					}
					if($semjuros >1){
						$div = $semjuros;
					}else{
						if($splitss<=$div){
							$div = $splitss;
						}
					}
					if($valor<=5){
						$div = 1;
					}
					for($j=1; $j<=$div;$j++) {
						$cf = pow((1 + $taxa), $j);
						$cf = (1 / $cf);
						$cf = (1 - $cf);
						$cf = ($taxa / $cf);
						$parcelas = ($valor*$cf);
						$parcelas = number_format($parcelas, 2, '.', '');
						$valors = number_format($valor, 2, '.', '');
						$op = $semjuros;
						if($div==$j){
							if($j==1 OR $op>=$j) {
								$msg ="<span class=LinhaPreco><span class=BlocoMenor><i class='fa fa-credit-card'></i>  ".$j."x de</span> <span class=cartao>".CurrencyConvertFormatPrice($parcelas, 1, 0)." </span>sem juros";
							}else{
								$msg ="<span class=LinhaPreco><span class=BlocoMenor><i class='fa fa-credit-card'></i>  ".$j."x de</span> <span class=cartao>".CurrencyConvertFormatPrice($parcelas, 1, 0)." </span>no cartão";
							}
						}
					}
				}
				break;
			case 'picpay':
				if(!empty(GetModuleVariable('checkout_picpay','is_setup'))) {
					$semjuros = 1;
					$juross = 0;
					$taxa = 0.0349;
					$valordoproduto = ValorProduto($produto);
					$valor = $valordoproduto;
					if($juross<=0 OR empty($juross)){
						$valor = $valor;
					} else {
						$valor = (($valor/100)*$juross)+$valor;
					}
					$splitss = (int) ($valor/5);
					if($splitss<=12){
						$div = $splitss;
					}else{
						$div = 12;
					}
					if($valor<=5){
						$div = 1;
					}
					for($j=1; $j<=$div;$j++) {
						$cf = pow((1 + $taxa), $j);
						$cf = (1 / $cf);
						$cf = (1 - $cf);
						$cf = ($taxa / $cf);
						$parcelas = ($valor*$cf);
						$parcelas = number_format($parcelas, 2, '.', '');
						$valors = number_format($valor, 2, '.', '');
						$op = $semjuros;
						if($div==$j){
							if($j==1 OR $op>=$j) {
								$msg ="<span class=LinhaPreco><span class=BlocoMenor><i class='fa fa-credit-card'></i>  ".$j."x de</span> <span class=cartao>".CurrencyConvertFormatPrice($parcelas, 1, 0)." </span>sem juros";
							}else{
								$msg ="<span class=LinhaPreco><span class=BlocoMenor><i class='fa fa-credit-card'></i>  ".$j."x de</span> <span class=cartao>".CurrencyConvertFormatPrice($parcelas, 1, 0)." </span>no cartão";
							}
						}
					}
				}
				break;
			case 'bcash':
				if(!empty(GetModuleVariable('checkout_bcash','is_setup'))) {
					$juross = GetModuleVariable('checkout_bcash','acrecimo');
					$semjuros = GetModuleVariable('checkout_bcash','semjuros');
					$div = GetModuleVariable('checkout_bcash','dividir');
					$taxa = 0.0289;
					$valordoproduto = ValorProduto($produto);
					$valor = $valordoproduto;
					if($juross<=0 OR empty($juross)){
						$valor = $valor;
					} else {
						$valor = (($valor/100)*$juross)+$valor;
					}
					$splitss = (int) ($valor/5);
					if($semjuros >$splitss){
						$semjuros = $splitss;
					}
					if($semjuros >1){
						$div = $semjuros;
					}else{
						if($splitss<=$div){
							$div = $splitss;
						}
					}
					if($valor<=5){
						$div = 1;
					}
					for($j=1; $j<=$div;$j++) {
						$cf = pow((1 + $taxa), $j);
						$cf = (1 / $cf);
						$cf = (1 - $cf);
						$cf = ($taxa / $cf);
						$parcelas = ($valor*$cf);
						$parcelas = number_format($parcelas, 2, '.', '');
						$valors = number_format($valor, 2, '.', '');
						$op = $semjuros;
						if($div==$j){
							if($j==1 OR $op>=$j) {
								$msg ="<span class=LinhaPreco><span class=BlocoMenor><i class='fa fa-credit-card'></i>  ".$j."x de</span> <span class=cartao>".CurrencyConvertFormatPrice($parcelas, 1, 0)." </span>sem juros";
							}else{
								$msg ="<span class=LinhaPreco><span class=BlocoMenor><i class='fa fa-credit-card'></i>  ".$j."x de</span> <span class=cartao>".CurrencyConvertFormatPrice($parcelas, 1, 0)."  </span>no cartão";
							}
						}
					}
				}
				break;
			case 'cielo':
				if(!empty(GetModuleVariable('checkout_cielointegrado','is_setup'))) {
					$semjuros = GetModuleVariable('checkout_cielointegrado','dividir');
					$juross = '0';
					$taxa = 1.69;
					$jt = 0;
					$pm = GetModuleVariable('checkout_cielointegrado','min');
					$valordoproduto = ValorProduto($produto);
					$valor = $valordoproduto;
					if($juross<=0 OR empty($juross)){
						$valor = $valor;
					} else {
						$valor = (($valor/100)*$juross)+$valor;
					}
					$splitss = (int) ($valor/$pm);
					if($semjuros >$splitss){
						$semjuros = $splitss;
					}
					if($semjuros >1){
						$div = $semjuros;
					}else{
						$div = $splitss;
					}
					if($valor<=5){
						$div = 1;
					}
					for($j=1; $j<=$div;$j++) {
						if($div==$j){
							if($jt==0){
								$parcelas = jurosSimples($valor, $taxa, $j);
							}else{
								$parcelas = jurosComposto($valor, $taxa, $j);
								$parcelas = number_format($parcelas, 2, '.', '');
								$valors = number_format($valor, 2, '.', '');
							}
							$op = $semjuros;
							if($op>=$j) {
								$msg ="<span class=LinhaPreco><span class=BlocoMenor><i class='fa fa-credit-card'></i>  ".$j."x de</span> <span class=cartao>".CurrencyConvertFormatPrice($parcelas, 1, 0)." </span>sem juros";
							}else{
								$msg ="<span class=LinhaPreco><span class=BlocoMenor><i class='fa fa-credit-card'></i>  ".$j."x de</span> <span class=cartao>".CurrencyConvertFormatPrice($parcelas, 1, 0)." </span>no cartão";
							}
						}
					}
				}
				break;
			case 'paypal':
				if(!empty(GetModuleVariable('checkout_paypal','is_setup'))) {
					$juross = 0;
					$pm = GetModuleVariable('checkout_paypal','minimo');
					$semjuros = GetModuleVariable('checkout_paypal','dividir');
					$valordoproduto = ValorProduto($produto);
					$valor = $valordoproduto;
					if($juross<=0 OR empty($juross)){
						$valor = $valor;
					} else {
						$valor = (($valor/100)*$juross)+$valor;
					}
					$splitss = (int) ($valor/$pm);
					if($semjuros >$splitss){
						$semjuros = $splitss;
					}
					if($semjuros >1){
						$div = $semjuros;
					}else{
						$div = $splitss;
					}
					if($valor<=5){
						$div = 1;
					}
					for($j=1; $j<=$div;$j++) {
						$fator = array('0','0.51875','0.35007','0.26575','0.21518','0.18148','0.15743','0.13941','0.12540','0.11420','0.10505','0.09743');
						$result_array = $fator[$j-1];
						$parcelas = $valor*$result_array;
						$parcelas = number_format($parcelas, 2, '.', '');
						$valors = number_format($valor, 2, '.', '');
						$op = $semjuros;
						if($div==$j){
							if($j==1 OR $op>=$j) {
								$msg ="<span class=LinhaPreco><span class=BlocoMenor><i class='fa fa-credit-card'></i>  ".$j."x de</span> <span class=cartao>".CurrencyConvertFormatPrice($parcelas, 1, 0)." </span>sem juros";
							}else{
								$msg ="<span class=LinhaPreco><span class=BlocoMenor><i class='fa fa-credit-card'></i>  ".$j."x de</span> <span class=cartao>".CurrencyConvertFormatPrice($parcelas, 1, 0)." </span>no cartão";
							}
						}
					}
				}
				break;
			case 'redecard':
				if(!empty(GetModuleVariable('checkout_redecard','is_setup'))) {
					$semjuros = GetModuleVariable('checkout_redecard','jurosde');
					$taxa = GetModuleVariable('checkout_redecard','juros');
					$pm = GetModuleVariable('checkout_redecard','parcelamin');
					$juross = '0';
					$jt = 1;
					$valordoproduto = ValorProduto($produto);
					$valor = $valordoproduto;
					if($juross<=0 OR empty($juross)){
						$valor = $valor;
					}else{
						$valor = (($valor/100)*$juross)+$valor;
					}
					$splitss = (int) ($valor/$pm);
					if($semjuros >$splitss){
						$semjuros = $splitss;
					}
					if($semjuros >1){
						$div = $semjuros;
					}else{
						$div = $splitss;
					}
					if($valor<=5){
						$div = 1;
					}
					for($j=1; $j<=$div;$j++) {
						if($div==$j){
							if($jt==0){
								$parcelas = jurosSimples($valor, $taxa, $j);
							}else{
								$parcelas = jurosComposto($valor, $taxa, $j);
								$parcelas = number_format($parcelas, 2, '.', '');
								$valors = number_format($valor, 2, '.', '');
								$op =$semjuros;
							}
							if($op>=$j) {
								$msg ="<span class=LinhaPreco><span class=BlocoMenor><i class='fa fa-credit-card'></i>  ".$j."x de</span> <span class=cartao>".CurrencyConvertFormatPrice($parcelas, 1, 0)." </span>sem juros";
							}else{
								$msg ="<span class=LinhaPreco><span class=BlocoMenor><i class='fa fa-credit-card'></i>  ".$j."x de</span> <span class=cartao>".CurrencyConvertFormatPrice($parcelas, 1, 0)." </span>no cartão";
							}
						}
					}
				}
				break;
		}
		return '<center> '.$msg.'</center>';
	}
	function simulador_de_rodape2($produto, $remote = ''){
		$frete = FreteTipo($produto);
		$valordoproduto = ValorProduto($produto);
		$ss = $valordoproduto;
		if($ss=='0'){
			return false;
		}
		$desconto = GetModuleVariable('addon_parcelas','descontohome');
		$nomeforma = GetModuleVariable('addon_parcelas','rodapavista');
		if($desconto>0){
			$precocomdesc = $valordoproduto-(($valordoproduto/100)*$desconto);
			$economia = $valordoproduto-$precocomdesc;
			$valdesc = $valordoproduto-(($valordoproduto/100)*$desconto);
			$dep = '<b class="descBoleto">'.CurrencyConvertFormatPrice($valdesc, 1, 0).'</b> à vista<br>no '.$nomeforma.' com '.$desconto.'% de desconto (Economia de <strong>'.CurrencyConvertFormatPrice($economia, 1, 0).'</strong>)';
			return '<center> '.$dep.' </center>';
		}else{
			return false;
		}		
	}
	function simulador_home1($produto, $remote = ''){
		$frete = FreteTipo($produto);
		$valordoproduto = ValorProduto($produto);
		$ss = $valordoproduto;
		if($ss=='0'){
			return false;
		}
		$desconto = GetModuleVariable('addon_parcelas','descontohome');
		$nomeforma = GetModuleVariable('addon_parcelas','rodapavista');
		if($desconto>0){
			$precocomdesc = $valordoproduto-(($valordoproduto/100)*$desconto);
			$economia = $valordoproduto-$precocomdesc;
			$valdesc = $valordoproduto-(($valordoproduto/100)*$desconto);
			$dep = '<br><span class="Boletopreco">'.CurrencyConvertFormatPrice($valdesc, 1, 0).'</span> à vista <br>no '.$nomeforma.' com '.$desconto.'% de desconto<br>(Economia de <strong>'.CurrencyConvertFormatPrice($economia, 1, 0).'</strong>)';
			return $dep ;
		}else{
			return false;
		}		
	}
	function simulador_checkout_avista($total, $remote = ''){
		$totalcomdesc = $total;
		$ss = $totalcomdesc;
		if($ss=='0'){
			return false;
		}
		$nomeforma = GetModuleVariable('addon_parcelas','rodapavista');
		$desconto = GetModuleVariable('addon_parcelas','descontohome');
		$dep = '<span style="color: rgb(57, 123, 33); font-size: 28px; font-weight: bold;">'.CurrencyConvertFormatPrice($totalcomdesc, 1, 0).'*</span>
			 <br><span style="color: rgb(57, 123, 33);font-size: 14px; font-family: Swis721;letter-spacing: 0;">
			 à vista no '.$nomeforma.' já com '.$desconto.'% de desconto';
		return $dep;
	}
	function simulador_checkout_cartao($total){
		$ler = "SELECT variableval FROM [|PREFIX|]module_vars WHERE modulename = 'addon_parcelas' AND variablename = 'rodape1' order by variablename asc";
		$resultado = $GLOBALS['ISC_CLASS_DB']->Query($ler);
		$s = $GLOBALS['ISC_CLASS_DB']->Fetch($resultado);
		if(empty($s['variableval'])){
			$s['variableval'] = 'pagseguro';
		}
		$msg ='';
		switch($s['variableval']) {
			case 'pagseguro':
				if(!empty(GetModuleVariable('checkout_psapi','is_setup'))) {
					$juross = GetModuleVariable('checkout_psapi','acrecimo');
					$semjuros = GetModuleVariable('checkout_psapi','sem');
					$min = GetModuleVariable('checkout_psapi','minimo');
				}else{
					$juross = 	'0';
					$div = '12';
					$semjuros = '1';
					$min = '5';
				}
				$valordoproduto = $total;
				$valor = $valordoproduto;
				if($juross<=0 OR empty($juross)){
					$valor = $valor;
				} else {
					$valor = (($valor/100)*$juross)+$valor;
				}
				$splitss = (int) ($valor/$min);
				if($semjuros >$splitss){
					$semjuros = $splitss;
				}
				if($semjuros >1){
					$div = $semjuros;
				}else{
					$div = $splitss;
				}
				if($valor<=$min){
					$div = 1;
				}
				for($j=1; $j<=$div;$j++) {
					$fator = array('0','0.52255','0.35347','0.26898','0.21830','0.18453','0.16044','0.14240','0.12838','0.11717','0.10802','0.10040');
					$result_array = $fator[$j-1];
					$parcelas = $valor*$result_array;
					$parcelas = number_format($parcelas, 2, '.', '');
					$valors = number_format($valor, 2, '.', '');
					$op = $semjuros;
					if($div==$j){
						if($j==1 OR $op>=$j) {
							$msg ="<span class=LinhaPreco><span class=BlocoMenor><br>Ou <i class='fa fa-credit-card'></i> em ".$j."x de</span> <span class=cartao>".CurrencyConvertFormatPrice($parcelas, 1, 0)." sem juros</span>";
						}else{
							$msg ="<span class=LinhaPreco><span class=BlocoMenor><br>Ou <i class='fa fa-credit-card'></i> em ".$j."x de</span> <span class=cartao>".CurrencyConvertFormatPrice($parcelas, 1, 0)." </span>";
						}
					}
				}
				break;
			case 'moip':
				if(!empty(GetModuleVariable('checkout_moip','is_setup'))) {
					$semjuros = GetModuleVariable('checkout_moip','semjuros');
					$juross = GetModuleVariable('checkout_moip','acrecimo');
					$taxa = 0.0199;
					$valordoproduto = $total;
					$valor = $valordoproduto;
					if($juross<=0 OR empty($juross)){
						$valor = $valor;
					}else {
						$valor = (($valor/100)*$juross)+$valor;
					}
					$splitss = (int) ($valor/5);
					if($semjuros >$splitss){
						$semjuros = $splitss;
					}
					if($semjuros >1){
						$div = $semjuros;
					}else{
						$div = $splitss;
					}
					if($valor<=5){
						$div = 1;
					}
					for($j=1; $j<=$div;$j++) {
						if($div==$j){
							$cf = pow((1 + $taxa), $j);
							$cf = (1 / $cf);
							$cf = (1 - $cf);
							$cf = ($taxa / $cf);
							$parcelas = ($valor*$cf);
							$parcelas = number_format($parcelas, 2, '.', '');
							$valors = number_format($valor, 2, '.', '');
							$op = $semjuros;
							if($j==1 OR $op>=$j) {
								$msg ="<span class=LinhaPreco><span class=BlocoMenor><br>Ou <i class='fa fa-credit-card'></i> em ".$j."x de</span> <span class=cartao>".CurrencyConvertFormatPrice($parcelas, 1, 0)." sem juros</span>";
							}else{
								$msg ="<span class=LinhaPreco><span class=BlocoMenor><br>Ou <i class='fa fa-credit-card'></i> em ".$j."x de</span> <span class=cartao>".CurrencyConvertFormatPrice($parcelas, 1, 0)." </span>";
							}
						}
					}
				}
				break;
			case 'picpay':
				if(!empty(GetModuleVariable('checkout_picpay','is_setup'))) {
					$semjuros = 1;
					$juross = 0;
					$taxa = 0.0349;
					$valordoproduto = $total;
					$valor = $valordoproduto;
					if($juross<=0 OR empty($juross)){
						$valor = $valor;
					} else {
						$valor = (($valor/100)*$juross)+$valor;
					}
					$splitss = (int) ($valor/5);
					if($splitss<=12){
						$div = $splitss;
					}else{
						$div = 12;
					}
					if($valor<=5){
						$div = 1;
					}
					for($j=1; $j<=$div;$j++) {
						$cf = pow((1 + $taxa), $j);
						$cf = (1 / $cf);
						$cf = (1 - $cf);
						$cf = ($taxa / $cf);
						$parcelas = ($valor*$cf);
						$parcelas = number_format($parcelas, 2, '.', '');
						$valors = number_format($valor, 2, '.', '');
						$op = $semjuros;
						if($j==1 OR $op>=$j) {
								$msg ="<span class=LinhaPreco><span class=BlocoMenor><br>Ou <i class='fa fa-credit-card'></i> em ".$j."x de</span> <span class=cartao>".CurrencyConvertFormatPrice($parcelas, 1, 0)." sem juros</span>";
							}else{
								$msg ="<span class=LinhaPreco><span class=BlocoMenor><br>Ou <i class='fa fa-credit-card'></i> em ".$j."x de</span> <span class=cartao>".CurrencyConvertFormatPrice($parcelas, 1, 0)." </span>";
							}
					}
				}
				break;
			case 'mercadopago':
				if(!empty(GetModuleVariable('checkout_mplight','is_setup'))) {
					$juross = GetModuleVariable('checkout_mplight','acrescimo');
					$semjuros = GetModuleVariable('checkout_mplight','semjuros');
					$taxa = 0.0199;
					$valordoproduto = $total;
					$valor = $valordoproduto;
					if($juross<=0 OR empty($juross)){
						$valor = $valor;
					} else {
						$valor = (($valor/100)*$juross)+$valor;
					}
					$splitss = (int) ($valor/5);
					if($semjuros >$splitss){
						$semjuros = $splitss;
					}
					if($semjuros >1){
						$div = $semjuros;
					}else{
						$div = $splitss;
					}
					if($valor<=5){
						$div = 1;
					}
					for($j=1; $j<=$div;$j++) {
						$cf = pow((1 + $taxa), $j);
						$cf = (1 / $cf);
						$cf = (1 - $cf);
						$cf = ($taxa / $cf);
						$parcelas = ($valor*$cf);
						$parcelas = number_format($parcelas, 2, '.', '');
						$valors = number_format($valor, 2, '.', '');
						$op = $semjuros;
						if($div==$j){
							if($j==1 OR $op>=$j) {
								$msg ="<span class=LinhaPreco><span class=BlocoMenor><br>Ou <i class='fa fa-credit-card'></i> em ".$j."x de</span> <span class=cartao>".CurrencyConvertFormatPrice($parcelas, 1, 0)." sem juros</span>";
							}else{
								$msg ="<span class=LinhaPreco><span class=BlocoMenor><br>Ou <i class='fa fa-credit-card'></i> em ".$j."x de</span> <span class=cartao>".CurrencyConvertFormatPrice($parcelas, 1, 0)." </span>";
							}
						}
					}
				}
				break;
			case 'bcash':
				if(!empty(GetModuleVariable('checkout_bcash','is_setup'))) {
					$juross = GetModuleVariable('checkout_bcash','acrecimo');
					$semjuros = GetModuleVariable('checkout_bcash','semjuros');
					$taxa = 0.0289;
					$valordoproduto = $total;
					$valor = $valordoproduto;
					if($juross<=0 OR empty($juross)){
						$valor = $valor;
					} else {
						$valor = (($valor/100)*$juross)+$valor;
					}
					$splitss = (int) ($valor/5);
					if($semjuros >$splitss){
						$semjuros = $splitss;
					}
					if($semjuros >1){
						$div = $semjuros;
					}else{
						$div = $splitss;
					}
					if($valor<=5){
						$div = 1;
					}
					for($j=1; $j<=$div;$j++) {
						$cf = pow((1 + $taxa), $j);
						$cf = (1 / $cf);
						$cf = (1 - $cf);
						$cf = ($taxa / $cf);
						$parcelas = ($valor*$cf);
						$parcelas = number_format($parcelas, 2, '.', '');
						$valors = number_format($valor, 2, '.', '');
						$op = $semjuros;
						if($div==$j){
							if($j==1 OR $op>=$j) {
								$msg ="<span class=LinhaPreco><span class=BlocoMenor><br>Ou <i class='fa fa-credit-card'></i> em ".$j."x de</span> <span class=cartao>".CurrencyConvertFormatPrice($parcelas, 1, 0)." sem juros</span>";
							}else{
								$msg ="<span class=LinhaPreco><span class=BlocoMenor><br>Ou <i class='fa fa-credit-card'></i> em ".$j."x de</span> <span class=cartao>".CurrencyConvertFormatPrice($parcelas, 1, 0)." </span>";
							}
						}
					}
				}
				break;
			case 'cielo':
				if(!empty(GetModuleVariable('checkout_cielointegrado','is_setup'))) {
					$semjuros = GetModuleVariable('checkout_cielointegrado','dividir');
					$pm = GetModuleVariable('checkout_cielointegrado','min');
					$juross = '0';
					$taxa = 1.69;
					$jt = 0;
					$valordoproduto = $total;
					$valor = $valordoproduto;
					if($juross<=0 OR empty($juross)){
						$valor = $valor;
					} else {
						$valor = (($valor/100)*$juross)+$valor;
					}
					$splitss = (int) ($valor/$pm);
					if($semjuros >$splitss){
						$semjuros = $splitss;
					}
					if($semjuros >1){
						$div = $semjuros;
					}else{
						$div = $splitss;
					}
					if($valor<=5){
						$div = 1;
					}
					for($j=1; $j<=$div;$j++) {
						if($div==$j){
							if($jt==0){
								$parcelas = jurosSimples($valor, $taxa, $j);
							}else{
								$parcelas = jurosComposto($valor, $taxa, $j);
								$parcelas = number_format($parcelas, 2, '.', '');
								$valors = number_format($valor, 2, '.', '');
							}
							$op = $semjuros;
							if($op>=$j) {
								$msg ="<span class=LinhaPreco><span class=BlocoMenor><br>Ou <i class='fa fa-credit-card'></i> em ".$j."x de</span> <span class=cartao>".CurrencyConvertFormatPrice($parcelas, 1, 0)." sem juros</span>";
							}else{
								$msg ="<span class=LinhaPreco><span class=BlocoMenor><br>Ou <i class='fa fa-credit-card'></i> em ".$j."x de</span> <span class=cartao>".CurrencyConvertFormatPrice($parcelas, 1, 0)." </span>";
							}
						}
					}
				}
				break;
			case 'paypal':
				if(!empty(GetModuleVariable('checkout_paypal','is_setup'))) {
					$pm = GetModuleVariable('checkout_paypal','minimo');
					$semjuros = GetModuleVariable('checkout_paypal','dividir');
					$juross = 0;
					$valordoproduto = ValorProduto($produto);
					$valor = $valordoproduto;
					if($juross<=0 OR empty($juross)){
						$valor = $valor;
					} else {
						$valor = (($valor/100)*$juross)+$valor;
					}
					$splitss = (int) ($valor/$pm);
					if($semjuros >$splitss){
						$semjuros = $splitss;
					}
					if($semjuros >1){
						$div = $semjuros;
					}else{
						$div = $splitss;
					}
					if($valor<=5){
						$div = 1;
					}
					for($j=1; $j<=$div;$j++) {
						$fator = array('0','0.51875','0.35007','0.26575','0.21518','0.18148','0.15743','0.13941','0.12540','0.11420','0.10505','0.09743');
						$result_array = $fator[$j-1];
						$parcelas = $valor*$result_array;
						$parcelas = number_format($parcelas, 2, '.', '');
						$valors = number_format($valor, 2, '.', '');
						$op = $semjuros;
						if($div==$j){
							if($j==1 OR $op>=$j) {
								$msg ="<span class=LinhaPreco><span class=BlocoMenor><br>Ou <i class='fa fa-credit-card'></i> em ".$j."x de</span> <span class=cartao>".CurrencyConvertFormatPrice($parcelas, 1, 0)." sem juros</span>";
							}else{
								$msg ="<span class=LinhaPreco><span class=BlocoMenor><br>Ou <i class='fa fa-credit-card'></i> em ".$j."x de</span> <span class=cartao>".CurrencyConvertFormatPrice($parcelas, 1, 0)." </span>";
							}
						}
					}
				}
				break;
			case 'redecard':
				if(!empty(GetModuleVariable('checkout_redecard','is_setup'))) {
					$semjuros = GetModuleVariable('checkout_redecard','jurosde');
					$taxa = GetModuleVariable('checkout_redecard','juros');
					$pm = GetModuleVariable('checkout_redecard','parcelamin');
					$juross = '0';
					$jt = 1;
					$valordoproduto = $total;
					$valor = $valordoproduto;
					if($juross<=0 OR empty($juross)){
						$valor = $valor;
					}else{
						$valor = (($valor/100)*$juross)+$valor;
					}
					$splitss = (int) ($valor/$pm);
					if($semjuros >$splitss){
						$semjuros = $splitss;
					}
					if($semjuros >1){
						$div = $semjuros;
					}else{
						$div = $splitss;
					}
					if($valor<=5){
						$div = 1;
					}
					for($j=1; $j<=$div;$j++) {
						if($div==$j){
							if($jt==0){
								$parcelas = jurosSimples($valor, $taxa, $j);
							}else{
								$parcelas = jurosComposto($valor, $taxa, $j);
								$parcelas = number_format($parcelas, 2, '.', '');
								$valors = number_format($valor, 2, '.', '');
								$op =$semjuros;
							}
							if($op>=$j) {
								$msg ="<span class=LinhaPreco><span class=BlocoMenor><br>Ou <i class='fa fa-credit-card'></i> em ".$j."x de</span> <span class=cartao>".CurrencyConvertFormatPrice($parcelas, 1, 0)." sem juros</span>";
							}else{
								$msg ="<span class=LinhaPreco><span class=BlocoMenor><br>Ou <i class='fa fa-credit-card'></i> em ".$j."x de</span> <span class=cartao>".CurrencyConvertFormatPrice($parcelas, 1, 0)." </span>";
							}
						}
					}
				}
				break;
		}
		return $msg;
	}
?>
